Net::DNS::RR::AAAA(3)

NAME
Net::DNS::RR::AAAA - DNS AAAA resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS IPv6 Address (AAAA) resource records.

METHODS

  address
    print "address = ", $rr->address, "\n";

Returns the RR's address field.

BUGS
The "string" method returns only the preferred method of address representation ("x:x:x:x:x:x:x:x", as documented in RFC 1884, Section 2.2, Para 1).

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 1886 Section 2, RFC 1884 Sections 2.2 & 2.4.4